Options Struct Reference

Structure to store the program options. More...

## Public Member Functions

| Options ()
| the constructor initializes the options with their default values. More...

## Public Attributes

double | scoreThreshold
| Threshold of the added scores of the tests, that decide, whether the mail is a tofu mail or not (default: 0.5). More...
string | quoteChars
| Character(s) that are used to quote. The default value is ">|#". More...
bool | debug
| If this option is set, the internal variables that show the mail statistics are print (default: false). More...
TextLines | attributionLines
| List of Microsoft Attribution Lines (needed for the Microsoft Attribution Line Test (msTest)). More...
SigRating | ownSigTest
| Signature filename and rating options for the Own Signature Test (ownSigTest) (default: ~/.signature). More...
IntegerRating | msTest
| Rating options for the Microsoft Attribution Line Test (msTest). More...
RatioRating | quotedToAllTest
| Rating options for the Ratio Quoted Lines To All Lines Test (quotedToAllTest). More...
RatioRating | bottomQuotedToAllTest
| Rating options for the Ratio Quoted Lines At Bottom Of The Mail To All Lines Test (bottomQuotedToAllTest). More...
RatioRating | bottomQuotedToQuotedTest
| Rating options for the Ratio Quoted Lines At Bottom Of The Mail To Quoted Lines Test (bottomQuotedToQuotedTest). More...
BoolRating | singleBottomQuoteTest
| Rating options for the Single Quote Block At The Bottom of The Mail Test (mailSingleBottomQuote). More...

## Detailed Description

Structure to store the program options.

It stores all options and parameters that are needed to run the program. The command line options, system wide file options, and user file options are transfered within this struct and after that, only this struct is used to access the options.

## Constructor & Destructor Documentation

## Options()

Options::Options | ( |  | ) |

the constructor initializes the options with their default values.

## Member Data Documentation

## scoreThreshold

double Options::scoreThreshold

Threshold of the added scores of the tests, that decide, whether the mail is a tofu mail or not (default: 0.5).

## quoteChars

string Options::quoteChars

Character(s) that are used to quote. The default value is ">|#".

## debug

bool Options::debug

If this option is set, the internal variables that show the mail statistics are print (default: false).

## attributionLines

TextLines Options::attributionLines

List of Microsoft Attribution Lines (needed for the Microsoft Attribution Line Test (msTest)).

## ownSigTest

SigRating Options::ownSigTest

Signature filename and rating options for the Own Signature Test (ownSigTest) (default: ~/.signature).

## msTest

IntegerRating Options::msTest

Rating options for the Microsoft Attribution Line Test (msTest).

## quotedToAllTest

RatioRating Options::quotedToAllTest

Rating options for the Ratio Quoted Lines To All Lines Test (quotedToAllTest).

## bottomQuotedToAllTest

RatioRating Options::bottomQuotedToAllTest

Rating options for the Ratio Quoted Lines At Bottom Of The Mail To All Lines Test (bottomQuotedToAllTest).

## bottomQuotedToQuotedTest

RatioRating Options::bottomQuotedToQuotedTest

Rating options for the Ratio Quoted Lines At Bottom Of The Mail To Quoted Lines Test (bottomQuotedToQuotedTest).

## singleBottomQuoteTest

BoolRating Options::singleBottomQuoteTest

Rating options for the Single Quote Block At The Bottom of The Mail Test (mailSingleBottomQuote).

The documentation for this struct was generated from the following file:

- fullquottel.cpp